<div style="height:40px;">
<input type="hidden" id="id_negara" />
<table>
	<tr><td>KODE NEGARA AS400</td><td>:</td><td><input id="country_code" onkeyup="javascript:return cUpper(this);"/></td></tr>
	<tr><td>NAMA NEGARA AS400</td><td>:</td><td><input id="country_name"/></td></tr>
	<tr><td>KODE NEGARA BC</td><td>:</td><td><input id="kd_negara" onkeyup="javascript:return cUpper(this);" /></td></tr>
	<tr><td>NAMA NEGARA BC</td><td>:</td><td><input id="nama_negara"/></td></tr>
</table>
<div><button id="coo_negara_new">NEW</button><button id="coo_negara_save">SAVE</button><button id="coo_negara_del">DELETE</button></div>
<table id="tbl_data_coo_negara"></table> <div id="ptbl_data_coo_negara"></div>   	
</div>
<script type="text/javascript">
    function cUpper(cObj)
	{
		cObj.value=cObj.value.toUpperCase();
	}	
    $(document).ready(function(){
		jQuery("#tbl_data_coo_negara").jqGrid({
			url:'<?php echo base_url().'exim/ct_upload_coo/tbl_coo_negara'; ?>',
			mtype : "post",
			postData:{'q':'1'},
			datatype: "json",
			colNames:['ID','Kode AS400', 'NAMA AS400','KODE BC','NAMA BC'],
			colModel:[
				{name:'id_negara',index:'id_negara', width:60, hidden:true},
				{name:'country_code',index:'country_code', width:120},
				{name:'country_name',index:'country_name', width:160},
				{name:'kd_negara',index:'kd_negara', width:99},
				{name:'nama_negara',index:'nama_negara', width:160}
			
				],
			rowNum:20,
			rowList:[20,50100],
			pager: '#ptbl_data_coo_negara',
			sortname: 'id_negara',
			viewrecords: true,
			sortorder: "desc",
			width: '',
			height:200,
			jsonReader: { repeatitems : false },
			caption:"DATA NEGARA COO",
			rownumbers: true,
			shrinkToFit: false,
			afterInsertRow: function(){
				
				
			},			
			gridComplete: function(){
				var rowIDs = jQuery("#tbl_data_coo_negara").getDataIDs(); 
				var rowData = $("#tbl_data_coo_negara").getRowData();
			
				
			},
			onSelectRow: function(ids) {
				var ret = jQuery("#tbl_data_coo_negara").jqGrid('getRowData',ids);
				$("#id_negara").val(ret.id_negara);
				$("#country_code").val(ret.country_code);
				$("#country_name").val(ret.country_name);
				$("#kd_negara").val(ret.kd_negara);
				$("#nama_negara").val(ret.nama_negara);
			}	
		}); 
		
		jQuery("#tbl_data_coo_negara").jqGrid('navGrid','#ptbl_data_coo_negara',{del:false,add:false,edit:false},{},{},{},{multipleSearch:false});
		jQuery("#tbl_data_coo_negara").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : false, defaultSearch: 'cn', ignoreCase: true});
		
		$("#coo_negara_new").click(function(){
			$("#id_negara").val("");
			$("#country_code").val("");
			$("#country_name").val("");
			$("#kd_negara").val("");
			$("#nama_negara").val("");
			jQuery("#tbl_data_coo_negara").jqGrid('resetSelection');
			$("#country_code").focus();
		});
		
		$("#coo_negara_save").click(function(){
			if($("#id_negara").val() != ''){
				var upd = " UPDATE ";
			} else {
				var upd = " PENAMBAHAN ";
			}
			var form_data  = {
				id_negara:$("#id_negara").val(),
				country_code:$("#country_code").val(),
				country_name:$("#country_name").val(),
				kd_negara:$("#kd_negara").val(),
				nama_negara:$("#nama_negara").val(),
			}
			$("#dlgcoo_negara").dialog( "destroy" );
			$(".dlgcoo_negaracl").remove();
			$(".dlgcoo_negaracl").html('');
			$("body").append('<div id="dlgcoo_negara" title="Warning" class="dlgcoo_negaracl"><p>Apakah anda akan melakukan' +  upd + ' DATA NEGARA?</p><br /></div>');
			$("#dlgcoo_negara").dialog({
				height: 200,
				width: 350,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url :'<?php echo base_url().'exim/ct_upload_coo/update_coo_negara'; ?>',
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlgcoo_negara").dialog("close");
								$('#dlgcoo_negara').dialog("destroy"); 
								$(".dlgcoo_negaracl").remove(); 
								$('#tbl_data_coo_negara').trigger('reloadGrid');
							} else { 
								alert(msg.sts+msg.desc);
								$("#dlgcoo_negara").dialog("close");
								$('#dlgcoo_negara').dialog("destroy"); 
								$(".dlgcoo_negaracl").remove(); 		

							}
						}
					});
				},
				"CANCEL": function() {
						$( "#dlgcoo_negara" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlgcoo_negara').dialog("destroy"); 
					$(".dlgcoo_negaracl").remove(); 
					$("body").append('<div id="dlgcoo_negara" title="Warning" class="dlgcoo_negaracl"><p>Apakah anda akan Memproses Data ini Menjadi Data BC23?</p></div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});
			
			
		});
		
		$("#coo_negara_del").click(function(){
			
			if($("#id_negara").val() != ''){
				var upd = " DELETE ";
			} else {
				alert("ID TIDAK BOLEH KOSONG, PILIH DAHULU DATANYA");
				return false;
			}
			var form_data  = {
				id_negara:$("#id_negara").val()
			}
			$("#dlgcoo_negara_del").dialog( "destroy" );
			$(".dlgcoo_negara_delcl").remove();
			$(".dlgcoo_negara_delcl").html('');
			$("body").append('<div id="dlgcoo_negara_del" title="Warning" class="dlgcoo_negara_delcl"><p>Apakah anda akan melakukan' +  upd + ' DATA NEGARA?</p><br /></div>');
			$("#dlgcoo_negara_del").dialog({
				height: 200,
				width: 350,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url :'<?php echo base_url().'exim/ct_upload_coo/coo_negara_del'; ?>',
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlgcoo_negara_del").dialog("close");
								$('#dlgcoo_negara_del').dialog("destroy"); 
								$(".dlgcoo_negara_delcl").remove(); 
								$('#tbl_data_coo_negara').trigger('reloadGrid');
							} else { 
								alert(msg.sts+msg.desc);
								$("#dlgcoo_negara_del").dialog("close");
								$('#dlgcoo_negara_del').dialog("destroy"); 
								$(".dlgcoo_negara_delcl").remove(); 		

							}
						}
					});
				},
				"CANCEL": function() {
						$( "#dlgcoo_negara_del" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlgcoo_negara_del').dialog("destroy"); 
					$(".dlgcoo_negara_delcl").remove(); 
					$("body").append('<div id="dlgcoo_negara_del" title="Warning" class="dlgcoo_negara_delcl"><p>Apakah anda akan Memproses Data ini Menjadi Data BC23?</p></div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});
		
		});

	});
		  	
</script>



	
	